> This page is for Taurus PROTECT, version v3.38.
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# Get a shareholder

GET https://your-protect-instance.example.com/api/rest/v1/capital/shareholders/{id}

This endpoint returns a shareholder

Reference: https://taurushq.ferndocs.com/protect-capital/reference/capital/shareholders/get

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

A successful response.

- `result` (tgcapitald_mergedGetShareholderResult, optional)

## Types

### tgcapitald_mergedGetShareholderResult

- `shareholder` (tgcapitald_mergedShareholder, optional)

### tgcapitald_mergedShareholder

- `id` (string, optional)
- `digitalAssetID` (string, optional)
- `addressID` (string, optional)
- `investorID` (string, optional)
- `ref` (string, optional)
- `numberOfShares` (string, optional)
- `nominalValuePerShare` (float, optional)
- `currency` (string, optional)
- `comments` (string, optional)
- `ownershipProof` (boolean, optional)
- `parentID` (string, optional)
- `idProofAttachment` (tgcapitald_mergedAttachmentMetadata, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `investorName` (string, optional)
- `investorEmail` (string, optional)
- `investorCountry` (string, optional)
- `investorQualification` (string, optional)
- `digitalAssetAddress` (string, optional)
- `tokenizeStatus` (string, optional)

### tgcapitald_mergedAttachmentMetadata

- `id` (string, optional)
- `key` (string, optional)
- `filename` (string, optional)
- `contentType` (string, optional)
- `location` (string, optional)
- `documentCategory` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)

## Examples

**Response**

```json
{
  "result": {
    "shareholder": {
      "id": "string",
      "digitalAssetID": "string",
      "addressID": "string",
      "investorID": "string",
      "ref": "string",
      "numberOfShares": "string",
      "nominalValuePerShare": 1.1,
      "currency": "string",
      "comments": "string",
      "ownershipProof": true,
      "parentID": "string",
      "idProofAttachment": {
        "id": "string",
        "key": "string",
        "filename": "string",
        "contentType": "string",
        "location": "string",
        "documentCategory": "string",
        "createdAt": "2024-01-15T09:30:00Z",
        "updatedAt": "2024-01-15T09:30:00Z"
      },
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z",
      "investorName": "string",
      "investorEmail": "string",
      "investorCountry": "string",
      "investorQualification": "string",
      "digitalAssetAddress": "string",
      "tokenizeStatus": "string"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/capital/shareholders/id"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/capital/shareholders/id';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/capital/shareholders/id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/capital/shareholders/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://your-protect-instance.example.com/api/rest/v1/capital/shareholders/id")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://your-protect-instance.example.com/api/rest/v1/capital/shareholders/id', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/capital/shareholders/id");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/capital/shareholders/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```